Bug 857965 - Update el6 monit to 5.3.1
Update el6 monit to 5.3.1
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: monit (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Maxim Burgerhout
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 11:33 EDT by Joseph W. Breu
Modified: 2015-10-26 15:27 EDT (History)
9 users (show)

See Also:
Fixed In Version: monit-5.14-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-26 15:27:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph W. Breu 2012-09-17 11:33:03 EDT
Spec URL: http://www.breu.org/filedrop/monit.el6.spec
SRPM URL: http://www.breu.org/filedrop/monit-5.3.1-3.el6.src.rpm
Description: Manages and monitors processes, files, directories and devices.  This is my first package and I am looking for sponsorship.  Koji build at http://koji.fedoraproject.org/koji/taskinfo?taskID=4491939
Fedora Account System Username: rackerjoe
Comment 1 Joseph W. Breu 2012-09-17 11:33:57 EDT
This updates the version of monit for rhel6 to 5.3.1
Comment 2 Mark McLoughlin 2012-09-17 11:52:28 EDT
This is an update to an existing EPEL6 package, so we don't need a review request - moving to the Fedora EPEL product and monit component
Comment 3 Maxim Burgerhout 2012-09-18 06:30:46 EDT
I'm not sure what you want us to do. As Mark already said, this is not a new package, and it is actively maintained, so a rr is not necessary.

Also, if I consider this an update request, updating to 5.3.1 seems a bit odd, since it is not the most recent version, so why not 5.3.2, 5.4 or 5.5.

Updating packages in EPEL can be done, but usually a bit reluctantly. Is there some feature you are missing in the 5.1.1 that is currently in EPEL? Did you mean this to be a rr or an update request?
Comment 4 Joseph W. Breu 2012-09-18 09:45:44 EDT
Hi Maxim,

This certainly was the wrong place to put this request.  While I am not against upgrading the package to >5.3 I was looking to at least upgrade it to the version available for f17.

The feature that we desire to have is procmatch functionality

From the monit README
* Added the "procmatch" CLI command which allows for easy testing
  of pattern for process match check. The command takes regular
  expression as an argument and displays all running processes
  matching the pattern. Example usage:
      $ monit procmatch "iChatAgent"


So I guest that this would actually be an update request instead of a rr.
Comment 5 Karl Johnson 2014-05-22 11:05:55 EDT
Hello,

It would be great to upgrade Monit >5.3.1, last upstream version being 5.8.1. Monit above 5.3.1 fix memory usage monitoring in OpenVZ VPS and supports mysql test for version 5.5. We use a lot Monit in OpenVZ CentOS 6 containers and this fix would be much appreciated.
Comment 6 Michele Newman 2015-09-10 15:22:51 EDT
Anyway we can get this updated to the latest version 5.14?
Comment 7 Stewart Adam 2015-09-12 18:41:06 EDT
I've queued an update for Monit 5.14 on F21-23, rawhide, EL6 and EL7.
Comment 8 Fedora Update System 2015-09-12 18:47:36 EDT
monit-5.14-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8053
Comment 9 Fedora Update System 2015-09-13 21:50:31 EDT
monit-5.14-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update monit'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8053
Comment 10 Fedora Update System 2015-10-26 15:27:35 EDT
monit-5.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.